com.brightcove.player.mediacontroller.animator

## Class PreviewAnimatorImpl

- java.lang.Object
- - com.brightcove.player.mediacontroller.animator.PreviewAnimator
  - - com.brightcove.player.mediacontroller.animator.PreviewAnimatorImpl

-     public class PreviewAnimatorImpl
      extends PreviewAnimator

  Default implementation of the `PreviewAnimator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreviewAnimatorImpl(android.view.ViewGroup parent, PreviewThumbnailView previewThumbnailView, BrightcoveControlBar controlBar)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `hide()` Hides the `PreviewThumbnailView`'s `ThumbnailView`
    `void` | `move()` Moves the `PreviewThumbnailView`'s `ThumbnailView`
    `void` | `show()` Shows the `PreviewThumbnailView`'s `ThumbnailView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreviewAnimatorImpl

          public PreviewAnimatorImpl(android.view.ViewGroup parent,
                                     PreviewThumbnailView previewThumbnailView,
                                     BrightcoveControlBar controlBar)

  - ### Method Detail

    - #### move

          public void move()

      Description copied from class: `PreviewAnimator`
      Moves the `PreviewThumbnailView`'s `ThumbnailView`
      Specified by:
        `move` in class `PreviewAnimator`

    - #### show

          public void show()

      Description copied from class: `PreviewAnimator`
      Shows the `PreviewThumbnailView`'s `ThumbnailView`
      Specified by:
        `show` in class `PreviewAnimator`

    - #### hide

          public void hide()

      Description copied from class: `PreviewAnimator`
      Hides the `PreviewThumbnailView`'s `ThumbnailView`
      Specified by:
        `hide` in class `PreviewAnimator`